/* ======================================================================== */
/*																			*/
/*	GPC-6103																*/
/*																			*/
/*	File Name: fbiwtim.h													*/
/*																			*/
/*	Copyright 2001 Interface Corporation. All rights reserved.		*/
/*																			*/
/* ======================================================================== */

#if !defined( _WTIMAPI_H_ )
#define _WTIMAPI_H_

#ifdef __cplusplus
extern "C" {
#endif

typedef void (CALLBACK WTIMCALLBACK)(DWORD dwTimerID, DWORD dwUser);
typedef WTIMCALLBACK FAR *LPWTIMCALLBACK;

HANDLE WINAPI TimerOpen(LPCSTR, DWORD);
DWORD WINAPI TimerClose(HANDLE);
DWORD WINAPI TimerSetBaseClock(HANDLE, DWORD);
DWORD WINAPI TimerGetBaseClock(HANDLE, PDWORD);
DWORD WINAPI TimerSetEvent(HANDLE, DWORD, LPWTIMCALLBACK, DWORD, PDWORD, HWND, UINT);
DWORD WINAPI TimerKillEvent(HANDLE, DWORD);
DWORD WINAPI TimerStart(HANDLE, DWORD);
DWORD WINAPI TimerStop( HANDLE, DWORD);
DWORD WINAPI TimerGetStatus(HANDLE, PDWORD);
DWORD WINAPI TimerGetCounter(HANDLE, PDWORD);
DWORD WINAPI TimerClearCounter(HANDLE);

#ifdef __cplusplus
}
#endif

#define	TIMER_ERROR_SUCCESS						 0
#define	TIMER_ERROR_INVALID_HANDLE		0xc0000003
#define TIMER_ERROR_ALREADY_OPEN		0xc0000004
#define TIMER_ERROR_INVALID_PARAMETER	0xc0001000
#define TIMER_ERROR_SET_EVENT_OVER		0xc0001001
#define TIMER_ERROR_NOT_EVENT			0xc0001002
#define	TIMER_FLAG_NORMAL				0x0
#define	TIMER_FLAG_SHARE				0x2
#endif
